player_blackboard_entry Struct Reference
General-purpose message structures.

Vectormap feature data. More...

`#include <player.h>`

## Public Attributes

uint32_t | key_count
| Length of key in bytes. More...
char * | key
| Identifier for the entry. More...
uint32_t | group_count
| Second identifier count. More...
char * | group
| Second identifier.
uint16_t | type
| Entry data type. More...
uint16_t | subtype
| Entry data subtype. More...
uint32_t | data_count
| Entry data length. More...
uint8_t * | data
| Entry data. More...
uint32_t | timestamp_sec
| Time of entry creation. More...
uint32_t | timestamp_usec
| Time of entry creation. More...

## Detailed Description

Vectormap feature data.

## Member Data Documentation

uint8_t* player_blackboard_entry::data

Entry data.

uint32_t player_blackboard_entry::data_count

Entry data length.

uint32_t player_blackboard_entry::group_count

Second identifier count.

char* player_blackboard_entry::key

Identifier for the entry.

uint32_t player_blackboard_entry::key_count

Length of key in bytes.

uint16_t player_blackboard_entry::subtype

Entry data subtype.

uint32_t player_blackboard_entry::timestamp_sec

Time of entry creation.

Seconds since Epoch.

uint32_t player_blackboard_entry::timestamp_usec

Time of entry creation.

Microseconds field.

uint16_t player_blackboard_entry::type

Entry data type.

The documentation for this struct was generated from the following file:

- player.h

Last updated 12 September 2005 21:38:45